curl --request GET \
--url https://api.hubapi.com/forecast-settings/2026-09-beta/forecast-types \
--header 'Authorization: Bearer <token>'{
"amountOrDatePropertyRestrictedForUser": true,
"amountProperty": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdAtTimestamp": 123,
"createdBy": 123,
"dateProperty": "<string>",
"defaultType": true,
"forecastName": "<string>",
"forecastTypeId": 123,
"id": "<string>",
"objectTypeId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": 123,
"updatedTimestamp": 123,
"amountInHomeCurrencyProperty": "<string>",
"dealSplitProperties": {
"dealCustomAmountProperty": "<string>",
"dealCustomAmountPropertyInHomeCurrency": "<string>",
"dealCustomDateProperty": "<string>",
"dealSplitCustomAmountProperty": "<string>",
"dealSplitCustomAmountPropertyInHomeCurrency": "<string>",
"dealSplitWeightedCustomAmountProperty": "<string>",
"dealSplitWeightedCustomAmountPropertyInHomeCurrency": "<string>"
},
"weightedAmountInHomeCurrencyProperty": "<string>",
"weightedAmountProperty": "<string>"
}Returns all forecast types configured for the portal. Forecast types define which properties are used to calculate forecasts. This endpoint is useful for retrieving the different forecast configurations available in your HubSpot account, allowing you to understand how forecasts are generated based on various properties.
curl --request GET \
--url https://api.hubapi.com/forecast-settings/2026-09-beta/forecast-types \
--header 'Authorization: Bearer <token>'{
"amountOrDatePropertyRestrictedForUser": true,
"amountProperty": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdAtTimestamp": 123,
"createdBy": 123,
"dateProperty": "<string>",
"defaultType": true,
"forecastName": "<string>",
"forecastTypeId": 123,
"id": "<string>",
"objectTypeId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": 123,
"updatedTimestamp": 123,
"amountInHomeCurrencyProperty": "<string>",
"dealSplitProperties": {
"dealCustomAmountProperty": "<string>",
"dealCustomAmountPropertyInHomeCurrency": "<string>",
"dealCustomDateProperty": "<string>",
"dealSplitCustomAmountProperty": "<string>",
"dealSplitCustomAmountPropertyInHomeCurrency": "<string>",
"dealSplitWeightedCustomAmountProperty": "<string>",
"dealSplitWeightedCustomAmountPropertyInHomeCurrency": "<string>"
},
"weightedAmountInHomeCurrencyProperty": "<string>",
"weightedAmountProperty": "<string>"
}Supported products
The access token received from the authorization server in the OAuth 2.0 flow.
successful operation
A boolean indicating whether the amount or date property is restricted for the user.
The property used to represent the amount in the forecast, specified as a string.
The date and time when the forecast type was created, in ISO 8601 format.
An integer representing the timestamp of creation, in milliseconds since the Unix epoch.
An integer representing the ID of the user who created the forecast type.
The property used to represent the date in the forecast, specified as a string.
A boolean indicating whether this forecast type is the default.
The name of the forecast type, represented as a string.
An integer identifier for the forecast type.
A string identifier for the forecast type setting.
A string identifier for the object type associated with the forecast.
The date and time when the forecast type was last updated, in ISO 8601 format.
An integer representing the ID of the user who last updated the forecast type.
An integer representing the timestamp of the last update, in milliseconds since the Unix epoch.
A string representing the property for the amount in the home currency.
Show child attributes
A string representing the property for the weighted amount in the home currency.
The property representing the weighted amount, specified as a string.
Was this page helpful?